import { createVNode as _createVNode } from "vue";
// Composables
import { createForm, makeFormProps } from "../../composables/form.mjs"; // Utilities

import { ref } from 'vue';
import { defineComponent, useRender } from "../../util/index.mjs";
export const VForm = defineComponent({
  name: 'VForm',
  props: { ...makeFormProps()
  },
  emits: {
    'update:modelValue': val => true,
    submit: e => true
  },

  setup(props, _ref) {
    let {
      slots,
      emit
    } = _ref;
    const form = createForm(props);
    const formRef = ref();

    function onReset(e) {
      e.preventDefault();
      form.reset();
    }

    function onSubmit(e) {
      e.preventDefault();
      form.validate().then(_ref2 => {
        let {
          valid
        } = _ref2;

        if (valid) {
          emit('submit', e);
        }
      });
    }

    useRender(() => {
      var _slots$default;

      return _createVNode("form", {
        "ref": formRef,
        "class": "v-form",
        "novalidate": true,
        "onReset": onReset,
        "onSubmit": onSubmit
      }, [(_slots$default = slots.default) == null ? void 0 : _slots$default.call(slots, form)]);
    });
    return form;
  }

});
//# sourceMappingURL=VForm.mjs.map